Bug 732089 - Hibernate Detach Utility Identity Conflicts
Summary: Hibernate Detach Utility Identity Conflicts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server
Version: 4.0.1
Hardware: Unspecified
OS: Unspecified
urgent
unspecified vote
Target Milestone: ---
: ---
Assignee: Jay Shaughnessy
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 732456
TreeView+ depends on / blocked
 
Reported: 2011-08-19 18:17 UTC by Stefan Negrea
Modified: 2018-11-14 11:03 UTC (History)
4 users (show)

Fixed In Version: 4.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 732456 (view as bug list)
Environment:
Last Closed: 2012-02-07 19:22:16 UTC


Attachments (Terms of Use)

Description Stefan Negrea 2011-08-19 18:17:15 UTC
Description of problem:
The hibernate detach utility fails to correctly detach hibernate objects when both self referencing and identity conflicts occur at the same time.


Additional info:
The following message can be seen in the logs. Increasing the allowed depth does not solve the problem.

WARN [org.rhq.enterprise.server.safeinvoker.HibernateDetachUtility] Recursed too deep [101 > 100], will not attempt to detach object of type [org.rhq.core.domain.resource.InventoryStatus]. This may cause serialization errors later. If so, you can try to work around this by setting the system property [rhq.server.hibernate-detach-utility.depth-allowed] to a value higher than [101].

Comment 1 Jay Shaughnessy 2011-08-19 20:18:49 UTC
commit 0f1e427b130240ea6189c183cd6829e3400970f7

The hopeful fix is in.

Comment 2 Jay Shaughnessy 2011-08-19 20:48:19 UTC
!!!  commit commit 8c77babdf5f14c6a4161833c06ca6cf944d630a8

Fixes a problem in the above commit.

Comment 3 John Mazzitelli 2011-08-22 16:40:55 UTC
added a new unit test to see that the fix works. master commit 90f0867

I did verify that without the fix, this test would fail.

Nothing QA can do to test this. Its a code change only that the unit test will
verify.

Comment 4 Mike Foley 2012-02-07 19:22:16 UTC
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.